NANO(1)

NOM
nano - NAno un NOuvel éditeur, un clone libre et amélioré de Pico

SYNOPSIS
nano [+LIGNE] [options] [fichier]

DESCRIPTION
Cette page de manuel décrit brièvement la commande nano.

nano est un petit éditeur sympathique et libre, qui vise à remplacer Pico, l'éditeur par défaut du paquet non-libre Pine. nano ne se contentant pas de copier l'interface et l'ergonomie de Pico, il offre également certaines fonctionnalités manquantes (ou désactivées par défaut) de Pico. Ces fonctionnalités sont, par exemple, les fonctions de recherche et de remplacement, et la possibilité de sauter directement à un numéro de ligne.

OPTIONS

+LIGNE
    Démarre avec le curseur positionné à la ligne numéro LIGNE.

-B (--backup)
    Lors de l'écriture d'un fichier, crée une copie de sécurité de la version précédente, en ajoutant un tilde (~) au nom du fichier.

-D (--dos)
    Écrit le fichier au format DOS.

-F (--multibuffer)
    Active le mode multifichiers, autorisant l'édition simultanée de plusieurs fichiers, si ce mode est disponible.

-H (--historylog)
    Enregistre les chaînes ayant fait l'objet d'une recherche ou d'un remplacement dans le fichier ~/.nano_history afin de permettre leur réutilisation. Ceci n'est possible que si nano est capable d'utiliser les fichiers nanorc.

-I (--ignorercfiles)
    N'utilise pas les fichiers $SYSCONFDIR/nanorc et ~/.nanorc, même si nano est capable de les utiliser.

-K (--keypad)
    Essaie au maximum de ne pas utiliser les appels keypad() de ncurses. Utilisez ce paramètre si vous vous apercevez que les flèches du pavé numérique ne fonctionnent pas sous nano.

-M (--mac)
    Écrit le fichier au format Mac.

-N (--noconvert)
    Désactive la conversion automatique des fichiers depuis les formats Mac et DOS.

-Q chaîne (--quotestr=chaîne)
    Définit le préfixe par défaut des citations. Nano utilise ce préfixe pour réaliser une justification correcte des citations. Si nano est capable d'utiliser des expressions rationnelles, le préfixe par défaut sera "^([ \t]*[|>:}#])+", sinon, ce sera "> ".

-R (--regexp)
    Active l'utilisation d'expressions rationnelles lors des recherches, ainsi que la possibilité d'utiliser \n dans les chaînes de remplacement pour faire référence à la n-ième sous-expression du motif de recherche, si cette fonction est disponible.

-S (--smooth)
    Active le défilement progressif. Le texte défilera ligne-par-ligne au lieu de défiler morceau-par-morceau.

-T nombre (--tabsize=nombre)
    Définit la taille (largeur) des tabulations.

-V (--version)
    Affiche le numéro de version et l'auteur.

-Y chaîne (--syntax=chaîne)
    Indique quel mode de colorisation syntaxique adopter, parmi les modes définis dans le fichier .nanorc, si cette fonctionnalité est disponible.

-c (--const)
    Affiche en permanence la position du curseur.

-h (--help)
    Affiche de la liste des options disponibles en ligne de commande.

-i (--autoindent)
    Indentation automatique. Commence chaque nouvelle ligne au même niveau que la ligne précédente. Utile pour l'édition de code source.

-k (--cut)
    ^K coupe le texte du curseur à la fin de la ligne, au lieu de couper la ligne entière.

-l (--nofollow)
    Si le fichier édité est un lien symbolique, remplace le lien par le nouveau fichier, sans le suivre. Ce mode ne serait-il pas utile pour éditer les fichiers de /tmp ?

-m (--mouse)
    Active l'utilisation de la souris (si elle est disponible sur votre système).

-o répertoire (--operatingdir=répertoire)
    Définit le répertoire de travail. Demande à nano de mettre en place quelque-chose de similaire à une cage chroot.

-p (--preserve)
    Préserve les séquences XON et XOFF (^Q et ^S), afin qu'elle soient reçues par le terminal.

-r colonne (--fill=colonne)
    Passe automatiquement à la ligne à la colonne colonne. Par défaut, le passage à la ligne se fait à la taille de l'écran moins huit. Si la valeur indiquée est négative, le point de passage à la ligne sera calculé relativement au bord droit de l'écran. Cela permet de faire varier le point de passage à la ligne lorsque l'on change la taille de l'écran.

-s programme (--speller=programme)
    Choix d'un correcteur orthographique de remplacement.

-t (--tempfile)
    S'il a été modifié, le fichier sera sauvegardé automatiquement sans demande de confirmation. Identique à l'option -t de Pico.

-v (--view)
    Mode visualisation (lecture seule).

-w (--nowrap)
    Désactive le passage automatique à la ligne.

-x (--nohelp)
    Désactive la barre d'aide affichée en bas de l'écran.

-z (--suspend)
    Autorise à suspendre l'éditeur.

-a, -b, -e, -f, -g, -j
    Ignoré, pour être compatible avec Pico.

FICHIERS D'INITIALISATION
nano lit les fichiers d'initialisation dans l'ordre suivant : $SYSCONFDIR/nanorc, puis ~/.nanorc. Reportez-vous à la page de manuel de nanorc(5) et au fichier-exemple nanorc.sample qui devrait être livré avec nano.

NOTES
Dans certains cas, nano essaiera de sauvegarder le fichier en cours d'édition dans un fichier de secours. Cela arrivera principalement si nano reçoit un signal SIGHUP ou SIGTERM, ou bien se trouve à court de mémoire. Le nom de ce fichier de secours sera nano.save si le fichier en cours n'avait pas encore de nom, ou sera composé du nom du fichier en cours suivi du suffixe « .save ». Si un fichier de ce nom existe déjà dans le répertoire, un « .save » et un nombre seront ajoutée à la fin du nom du fichier en cours afin de le rendre unique (par exemple, « .save.1 »). En mode multifichiers, nano réalisera une sauvegarde de tous les fichiers en cours dans leurs fichiers de secours respectifs.

BOGUES
Merci de nous faire parvenir vos commentaires et de nous signaler les bogues, en écrivant, en anglais, à nano@nano-editor.org. N'hésitez pas à faire parvenir vos suggestions et commentaires relatifs à la version française de nano à jean-philippe.guerard@corbeaunoir.org. La liste de discussion anglophone nano est disponible via nano-devel@gnu.org. Pour vous abonner, envoyez un courrier électronique à nano-devel-request@gnu.org, ayant pour objet « subscribe ».

SITE INTERNET
http://www.nano-editor.org/

VOIR AUSSI
nanorc(5)
/usr/share/doc/nano/ (ou son équivalent sur votre système)

AUTEUR
Chris Allegretta <chrisa@asty.org> et d'autres (voir les fichiers AUTHORS et THANKS pour plus d'information). Cette page de manuel a été initialement rédigée par Jordi Mallach <jordi@sindominio.net> pour le système GNU Debian (mais elle peut être utilisée par d'autres).

TRADUCTION
Jean-Philippe Guérard <jean-philippe.guerard@corbeaunoir.org>, 2003.